﻿using GrapeCity.Windows.SpreadSheet.Data;
using GrapeCity.Windows.SpreadSheet.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL_Spread_HyperlinkCell
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.gcSpreadSheet1.Sheets.Clear();
            this.gcSpreadSheet1.Sheets.Add(new MyWorksheet());
            var sheet = this.gcSpreadSheet1.ActiveSheet;
        }
    }
    public class ControlDrawingObject : CustomDrawingObject
    {
        private Control _rootElement;
        public ControlDrawingObject(int row, int col, Control control) : base(row, col) { _rootElement = control; this.ShowDrawingObjectOnly = true; }
        public override FrameworkElement RootElement
        {
            get { _rootElement.Margin = new Thickness(1); return _rootElement; }
        }
    }
    public class MyWorksheet : Worksheet
    {
        public bool DrawingObjectVisible { get; set; }
        public override DrawingObject[] GetDrawingObject(int row, int column, int rowCount, int columnCount)
        {
            if (row != 1 || column != 1) return base.GetDrawingObject(row, column, rowCount, columnCount);
            DrawingObject dobj;
            dobj = new ControlDrawingObject(row, column, new HyperlinkButton() { Content = "This is a link", NavigateUri = new Uri("http://www.google.com") });
            return new DrawingObject[] { dobj };
        }
    }
}
